Bug 1551039 (CVE-2018-7584) - CVE-2018-7584 php: Stack-based buffer under-read in ext/standard/http_fopen_wrapper.c:php_stream_url_wrap_http_ex function when parsing HTTP response allows denial of service
Summary: CVE-2018-7584 php: Stack-based buffer under-read in ext/standard/http_fopen_w...
Status: NEW
Alias: CVE-2018-7584
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180220,repor...
Keywords: Security
Depends On: 1551041 1552940 1552941 1552942 1552944 1551040 1552943
Blocks: 1551043
TreeView+ depends on / blocked
 
Reported: 2018-03-02 15:55 UTC by Adam Mariš
Modified: 2019-05-16 08:11 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Adam Mariš 2018-03-02 15:55:06 UTC
In PHP through 5.6.33, 7.0.x before 7.0.28, 7.1.x through 7.1.14, and 7.2.x through 7.2.2, there is a stack-based buffer under-read while parsing an HTTP response in the php_stream_url_wrap_http_ex function in ext/standard/http_fopen_wrapper.c. This subsequently results in copying a large string. 

Upstream bug:

https://bugs.php.net/bug.php?id=75981

Upstream patch:

https://github.com/php/php-src/commit/523f230c831d7b33353203fa34aee4e92ac12bba

Comment 1 Adam Mariš 2018-03-02 15:55:28 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1551040]


Note You need to log in before you can comment on or make changes to this bug.